Sitecore API catalog/Selection API//
- Retrieve a selection by pool and definition
Clear a selection for a definition
Create a selection
Update a selection
Retrieve a selection by p...
Retrieves selection items for a given selection pool.
Note
At least one of the following must be provided. If both are provided, the route parameter takes precedence:
definitionName(route parameter) - single definition name.definitionNames(query parameter) - comma-separated list of definition names; for example,GET /api/selection/AssetSelectionPool?definitionNames=M.Asset,M.Content.
Security
OAuth2.0
- https://your-serverhttps://your-server/api/selection/{selectionPool}/{definitionName}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
curl -i -X GET \
'https://your-server/api/selection/{selectionPool}/{definitionName}?definitionNames=M.Asset%2CM.Content&subPoolId=0&ignorePermissions=false' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'If-Modified-Since: 2019-08-24T14:15:22Z'Response
- Single definition
- Multiple definitions
{ "M.Asset": { "items": [ … ], "permissions": [ … ], "link": { … } } }